Subject: Re: Info and man/groff questions
From: [email-masked] (Dr. Volker Zell)

17 Nov 1998 11:36:49 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0 (generated by SEMI 1.9.0 - "Isurugi")
Content-Type: text/plain; charset=US-ASCII
To: [email-masked]
Cc: [email-masked]

    >> 2.  I also found binaries for man on Michael Hirmke's (I didn't
    >> go look that up, so I probably just butchered his name; sorry
    >> Michael) ftp site. It also works great, except where there are
    >> supposed to be end-of-line dashes I'm getting <AD>. For
    >> example, I get the following lines from less' man page: size,
    >> only the final screenful is displayed.  Warn<AD> ing: some
    >> systems use ^V as a special literaliza<AD> tion character.  The
    >> <AD> characters are in blue on white, rather than the white on
    >> blue of the rest of the text (in other words, it's reverse
    >> video <g>).

  I have the following in my /usr/local/share/man.conf and man works
  as expected.

----------------- snip --------------------------------
#
# Generated automatically from man.conf.in by the
# configure script.
#
# man.conf
#
# This file is read by man to configure the default manpath (also used
# when MANPATH contains an empty substring), to find out where the cat
# pages corresponding to given man pages should be stored,
# and to map each PATH element to a manpath element.
# It may also record the pathname of the man binary. [This is unused.]
# The format is:
#
# MANBIN		pathname
# MANPATH		manpath_element	[corresponding_catdir]
# MANPATH_MAP		path_element	manpath_element
#
# If no catdir is given, it is assumed to be equal to the mandir
# (so that this dir has both man1 etc. and cat1 etc. subdirs).
# Certain versions of the FSSTND recommend putting formatted versions
# of /usr/foopath/man/manx/page.x into /var/catman/foopath/catx/page.x.
# The keyword FSSTND will enable this peculiar behaviour.
# Explicitly given catdirs override.
#
# FSSTND
#
# This file is also read by man in order to find how to call nroff, less, etc.,
# and to determine the correspondence between extensions and decompressors.
#
# MANBIN		/usr/local/bin/man
#
# Every automatically generated MANPATH includes these fields
#
MANPATH	/usr/man
MANPATH	/usr/local/man
MANPATH	/usr/X386/man
#
# Set up PATH to MANPATH mapping
#
# (these mappings are superfluous when the right hand side is
# in the mandatory manpath already, but will keep man from statting
# lots of other nearby files and directories)
#
MANPATH_MAP	/bin			/usr/man
MANPATH_MAP	/sbin			/usr/man
MANPATH_MAP	/usr/bin		/usr/man
MANPATH_MAP	/usr/local/bin		/usr/local/man
MANPATH_MAP	/usr/X386/bin		/usr/X386/man
MANPATH_MAP	/usr/bin/X11		/usr/X386/man
MANPATH_MAP	/usr/bin/mh		/usr/man
#
# Useful paths - note that COL should not be defined when
# NROFF is defined as "groff -Tascii" or "groff -Tlatin1";
# not only is it superfluous, but it actually damages the output.
#
# TROFF		/usr/local/bin/groff -Tps -mandoc
# NROFF		/usr/local/bin/groff -Tlatin1 -mandoc
TROFF		/usr/local/bin/groff -man -Tascii
NROFF		/usr/local/bin/groff -man -Tascii
EQN		/usr/local/bin/eqn -Tps
NEQN		/usr/local/bin/eqn -Tlatin1
TBL		/usr/local/bin/tbl
# COL		
REFER		/usr/local/bin/refer
PIC		/usr/local/bin/pic
VGRIND		
GRAP		
PAGER		/usr/local/bin/less -is
CAT		/usr/bin/cat
#
# The command "man -a xyzzy" will show all man pages for xyzzy.
# When CMP is defined man will try to avoid showing the same
# text twice.
#
CMP		/usr/bin/cmp -s
#
# Compress cat pages
#
COMPRESS	/usr/bin/gzip
COMPRESS_EXT	.gz
#
# Default manual sections (and order) to search if -S is not specified
# and the MANSECT environment variable is not set.
#
MANSECT		1:8:2:3:4:5:6:7:9:tcl:n:l:p:o
#
# Decompress with given decompressor when input file has given extension
# The command given must act as a filter.
#
..gz		/usr/bin/gunzip -c
..z		/usr/bin/gunzip -c
..Z		/usr/bin/zcat
..F		/usr/local/bin/fcat
..Y		/usr/local/bin/unyabba
----------------- snip --------------------------------

This I have in .bashrc for less:

export LESSCHARSET=latin1
export LESS="-IMnr"

Ciao
  Volker

-- 
___________________________________________________________________________

   "Is a dream a lie if it don't come true or is it something worse ..."

                                                 Dr. Volker Zell
      __ /  _  /  __  / ___/  /    ___/          -- Trainer --
     /  /  /__/  /_  / /     /    __/            Oracle Germany
   ____/__/ _|__/ __/____/ ____/____/            Paul-Thomas-Str.58 
                                                 D-40599 D|sseldorf
   e-Mail: mailto:[email-masked]
   WWW:    http://trgsund4.de.oracle.com/
   Tel:    (+49) 211-74839-414                   
   Fax:    (+49) 211-74839-44
___________________________________________________________________________

The statements and opinions expressed here are my own and do not necessarily 
represent those of Oracle Corporation.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".